import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const visorsGetPredictionStaticsDashboardService = createAsyncThunk(
  "VISORS_GET_PREDICTION_STATICS_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `poultry_hatching_prediction_dashboard`,
      {
        params: {
          role: getRoleFromUrl(),
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
